Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Figured out how to use autoreconf. Switch hand crafted bootstrap with the autoreconf...
authormquinson <mquinson@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Sat, 17 Jul 2004 22:53:17 +0000 (22:53 +0000)
committermquinson <mquinson@48e7efb5-ca39-0410-a469-dd3cf9ba447f>
Sat, 17 Jul 2004 22:53:17 +0000 (22:53 +0000)
git-svn-id: svn+ssh://scm.gforge.inria.fr/svn/simgrid/simgrid/trunk@287 48e7efb5-ca39-0410-a469-dd3cf9ba447f

bootstrap
bootstrap.old [new file with mode: 0755]

index 1dd622b..3054e63 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -1,94 +1,16 @@
 #!/bin/sh -e
 # Run this to generate all the initial makefiles, etc.
 
-######
-###### Some defs
-######
-
-PKG_NAME="GRAS"
-# a list of all dirs containing possibly some macros
-acmacrodirs="${HOME}/share/aclocal ${PWD}/acmacro /usr/share/aclocal/gnome2-macros"
-
 amver=1.8
 
-######
-###### End of conf part
-######
-for dir in $acmacrodirs ; do
-   if test -d $dir ; then
-       aclocalinclude="$aclocalinclude -I $dir";
-   fi
-done
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-echo "Autoregenerate package \`$PKG_NAME' in directory \`$srcdir'";
-
-(test -f $srcdir/configure.ac \
-  && test -f $srcdir/src/include/gras.h) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
-
-######
-###### Some tests (borrowed from macros/autogen.sh from achtung)
-######
-# Changlog : 
-# 27/5/00: Changed "to compile gnome" to "to compile $PKG_NAME"
-# 27/5/00: removed gettext
-
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`autoconf' installed to compile $PKG_NAME."
-  echo "Download the appropriate package for your distribution,"
-  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-(grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`libtool' installed to compile $PKG_NAME."
-    echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
-    echo "(or a newer version if it is available)"
-    DIE=1
-  }
-}
-
-(automake-$amver --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`automake' $amver installed to compile $PKG_NAME."
-  echo "Get ftp://ftp.gnu.org/pub/gnu/automake-amver.tar.gz"
-  echo "(or a newer version if it is available)"
-  DIE=1
-  NO_AUTOMAKE=yes
-}
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
-  echo "installed doesn't appear recent enough."
-  echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
-  echo "(or a newer version if it is available)"
-  DIE=1
-}
-
-if test "$DIE" -eq 1; then
-  exit 1
-fi
-
-###### END of test part
-
-
-######
-###### Action part
-######
+# AUTOCONF=
+# AUTOHEADER=
+# AUTOPOINT=
+# LIBTOOLIZE=
 
+ACLOCAL="aclocal-$amver -I acmacro -I /usr/share/aclocal/gnome2-macros" \
+AUTOMAKE="automake-$amver" \
+  autoreconf -v || exit 1
 
 if test -z "$*"; then
   if test -e aci.conf ; then
@@ -100,85 +22,23 @@ if test -z "$*"; then
     echo
   else
     configure_args="--enable-maintainer-mode --enable-gtk-doc"
-    echo "**Warning**: I am going to run \`configure' with no arguments."
+    echo "**Warning**: I am going to run \`configure' with the default arguments."
+    echo "ie, $configure_args."
     echo "If you wish to pass any to it, please specify them on the"
     echo \`$0\'" command line."
     echo
   fi
 else
   configure_args="$@"
+  echo "I am going to run \`configure' with the provided arguments."
+  echo "ie, $configure_args."
 fi
 
-case $CC in
-xlc )
-  am_opt=--include-deps;;
-esac
-
-#for coin in  `find $srcdir -name configure.ac -print `\
-#             `find $srcdir -name configure.in -print`
-for coin in  `ls $srcdir/configure.ac $srcdir/configure.in 2>/dev/null`
-do 
-  dr=`dirname $coin`
-  if test -f $dr/NO-AUTO-GEN; then
-    echo skipping $dr -- flagged as no auto-gen
-  else
-    echo "************"
-    echo "* Processing directory $dr"
-    echo "************"
-
-    if [ -e $dr/configure.in ] ; then
-       configfile="configure.in"
-    else 
-       configfile="configure.ac"
-    fi
-    macrodirs=`sed -n -e 's,AM_ACLOCAL_INCLUDE(\(.*\)),\1,gp' < $coin`
-    here=`pwd`
-    cd $dr
-    if grep "^AM_PROG_LIBTOOL" $configfile >/dev/null; then
-      if test -z "$NO_LIBTOOLIZE" ; then 
-       echo "Running libtoolize --force --copy in "`pwd`"..."
-       libtoolize --force --copy || exit 1
-      fi
-    fi
-    echo "Running aclocal-$amver $aclocalinclude..."
-    aclocal-$amver $aclocalinclude 
-    if grep "^AM_CONFIG_HEADER" $configfile >/dev/null; then
-      echo "Running autoheader in "`pwd`"..."
-      autoheader || exit 1
-    else if grep "^AC_CONFIG_HEADERS" $configfile >/dev/null; then
-      echo "Running autoheader in "`pwd`"..."
-      autoheader || exit 1
-    fi fi
-    if grep "^AM_INIT_AUTOMAKE" $configfile >/dev/null; then
-      echo "Running automake-$amver --gnu --add-missing $am_opt ..."
-      automake-$amver --gnu --add-missing $am_opt || exit 1
-    fi
-    echo "Running autoconf..."
-    autoconf || exit 1
-    cd $here
-  fi
-done
-
-#conf_flags="--enable-compile-warnings"
-#  \
-#--enable-compile-warnings=minimum"
-#--enable-iso-c
-
-#echo "rebuilding the api documentation... "
-#cd docs && ./refresh-api "  "&& echo "Done with the rebuilding of the api documentation." && cd .. || exit 1
-
-
-if test x$NOCONFIGURE = x; then
-  echo "************"
-  echo "* Running ./configure $configure_args..."
-  echo "************"
-  
-  ./configure $configure_args || exit 1
-
-else
-  echo Skipping configure process.
-fi
+echo "************"
+echo "* Running ./configure $configure_args..."
+echo "************"
+./configure $configure_args || exit 1
 
-echo Now type \`make\' to compile $PKG_NAME
+echo Now type \`make\' to compile the package
 
 
diff --git a/bootstrap.old b/bootstrap.old
new file mode 100755 (executable)
index 0000000..1dd622b
--- /dev/null
@@ -0,0 +1,184 @@
+#!/bin/sh -e
+# Run this to generate all the initial makefiles, etc.
+
+######
+###### Some defs
+######
+
+PKG_NAME="GRAS"
+# a list of all dirs containing possibly some macros
+acmacrodirs="${HOME}/share/aclocal ${PWD}/acmacro /usr/share/aclocal/gnome2-macros"
+
+amver=1.8
+
+######
+###### End of conf part
+######
+for dir in $acmacrodirs ; do
+   if test -d $dir ; then
+       aclocalinclude="$aclocalinclude -I $dir";
+   fi
+done
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+echo "Autoregenerate package \`$PKG_NAME' in directory \`$srcdir'";
+
+(test -f $srcdir/configure.ac \
+  && test -f $srcdir/src/include/gras.h) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+######
+###### Some tests (borrowed from macros/autogen.sh from achtung)
+######
+# Changlog : 
+# 27/5/00: Changed "to compile gnome" to "to compile $PKG_NAME"
+# 27/5/00: removed gettext
+
+DIE=0
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`autoconf' installed to compile $PKG_NAME."
+  echo "Download the appropriate package for your distribution,"
+  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+(grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
+  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`libtool' installed to compile $PKG_NAME."
+    echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.4.tar.gz"
+    echo "(or a newer version if it is available)"
+    DIE=1
+  }
+}
+
+(automake-$amver --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`automake' $amver installed to compile $PKG_NAME."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/automake-amver.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
+  echo "(or a newer version if it is available)"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+  exit 1
+fi
+
+###### END of test part
+
+
+######
+###### Action part
+######
+
+
+if test -z "$*"; then
+  if test -e aci.conf ; then
+    source aci.conf
+    echo "**Warning**: I am going to run \`configure' with arguments resulting from aci_configurator execution."
+    echo "ie, $configure_args."
+    echo "If you wish to pass other ones, please specify them on the"
+    echo \`$0\'" command line, or rerun aci_configurator and save the new ones."
+    echo
+  else
+    configure_args="--enable-maintainer-mode --enable-gtk-doc"
+    echo "**Warning**: I am going to run \`configure' with no arguments."
+    echo "If you wish to pass any to it, please specify them on the"
+    echo \`$0\'" command line."
+    echo
+  fi
+else
+  configure_args="$@"
+fi
+
+case $CC in
+xlc )
+  am_opt=--include-deps;;
+esac
+
+#for coin in  `find $srcdir -name configure.ac -print `\
+#             `find $srcdir -name configure.in -print`
+for coin in  `ls $srcdir/configure.ac $srcdir/configure.in 2>/dev/null`
+do 
+  dr=`dirname $coin`
+  if test -f $dr/NO-AUTO-GEN; then
+    echo skipping $dr -- flagged as no auto-gen
+  else
+    echo "************"
+    echo "* Processing directory $dr"
+    echo "************"
+
+    if [ -e $dr/configure.in ] ; then
+       configfile="configure.in"
+    else 
+       configfile="configure.ac"
+    fi
+    macrodirs=`sed -n -e 's,AM_ACLOCAL_INCLUDE(\(.*\)),\1,gp' < $coin`
+    here=`pwd`
+    cd $dr
+    if grep "^AM_PROG_LIBTOOL" $configfile >/dev/null; then
+      if test -z "$NO_LIBTOOLIZE" ; then 
+       echo "Running libtoolize --force --copy in "`pwd`"..."
+       libtoolize --force --copy || exit 1
+      fi
+    fi
+    echo "Running aclocal-$amver $aclocalinclude..."
+    aclocal-$amver $aclocalinclude 
+    if grep "^AM_CONFIG_HEADER" $configfile >/dev/null; then
+      echo "Running autoheader in "`pwd`"..."
+      autoheader || exit 1
+    else if grep "^AC_CONFIG_HEADERS" $configfile >/dev/null; then
+      echo "Running autoheader in "`pwd`"..."
+      autoheader || exit 1
+    fi fi
+    if grep "^AM_INIT_AUTOMAKE" $configfile >/dev/null; then
+      echo "Running automake-$amver --gnu --add-missing $am_opt ..."
+      automake-$amver --gnu --add-missing $am_opt || exit 1
+    fi
+    echo "Running autoconf..."
+    autoconf || exit 1
+    cd $here
+  fi
+done
+
+#conf_flags="--enable-compile-warnings"
+#  \
+#--enable-compile-warnings=minimum"
+#--enable-iso-c
+
+#echo "rebuilding the api documentation... "
+#cd docs && ./refresh-api "  "&& echo "Done with the rebuilding of the api documentation." && cd .. || exit 1
+
+
+if test x$NOCONFIGURE = x; then
+  echo "************"
+  echo "* Running ./configure $configure_args..."
+  echo "************"
+  
+  ./configure $configure_args || exit 1
+
+else
+  echo Skipping configure process.
+fi
+
+echo Now type \`make\' to compile $PKG_NAME
+
+